Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Update memory

PATCH/workspaces/{organizationId}/memory/{id}
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
idstringrequired
Request body
application/json
factstring
min length 1
kindstring
min length 1
validUntilstring | null
Responses
200

Memory fact updated

memoryobjectrequired
Show properties
idstringrequired
entityTypestringrequired
entityIdstringrequired
kindstringrequired
factstringrequired
sourceSessionIdstring | nullrequired
sourceAgentSlugstring | nullrequired
validUntilstring | nullrequired
createdAtstringrequired
404

Memory fact not found

Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X PATCH 'https://pile.nyc/workspaces/string/memory/string' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "fact": "string",
  "kind": "string",
  "validUntil": "string"
}'
Response
{
  "memory": {
    "id": "string",
    "entityType": "string",
    "entityId": "string",
    "kind": "string",
    "fact": "string",
    "sourceSessionId": "string",
    "sourceAgentSlug": "string",
    "validUntil": "string",
    "createdAt": "string"
  }
}

Was this page helpful?